package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public enum  EmployeeOperateEnum implements BaseEnum<Integer, DealStatusEnum> {

    RESET_PASSWORD(0,"重置密码"),
    LOCK_UNLOCK(1,"冻结/解冻"),
    DEMISSION(2,"离职"),
    REINSTATE(3,"复职");

    private Integer code;

    private String msg;

    EmployeeOperateEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
